# Class CIM_ComputerSystemProcessor
extends CIM_SystemDevice

Note: ComputerSystemProcessor is deprecated in lieu of its superclass, SystemDevice, because it adds no detail and changes none of the cardinalities in the definition of the superclass. Deprecated description: An association that indicates the processors of a UnitaryComputer System.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_SystemComponent
|
+--CIM_SystemDevice
|
+--CIM_ComputerSystemProcessor

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Composition | boolean | true
Deprecated | string | CIM_SystemDevice
Description | string | Note: ComputerSystemProcessor is deprecated in lieu of its superclass, SystemDevice, because it adds no detail and changes none of the cardinalities in the definition of the superclass. Deprecated description: An association that indicates the processors of a UnitaryComputer System.
UMLPackagePath | string | CIM::Device::Processor
Version | string | 2.10.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_ComputerSystemProcessor | CIM_UnitaryComputerSystem
PartComponent | CIM_ComputerSystemProcessor | CIM_Processor

## Class Methods